


qt_standard_project_setup()


include_directories(../controller)


qt_add_executable(app main.cpp
    )

qt_add_library(app_lib STATIC
    main.cpp
    filter.h main.cpp filter.cpp
    pwm.h pwm.cpp
    climate-algorithm.h  climate-algorithm.cpp
    pid.h pid.cpp
    datamodel.h datamodel.cpp
    dataset.h dataset.cpp

    text-templates.h

           )

target_include_directories(app_lib PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories(app_lib PRIVATE ${Qt6Core_INCLUDE_DIRS})

# add_executable(app main.cpp filter.cpp)
target_link_libraries(app   PRIVATE
    app_lib
    ctrl_algo
    Qt::Core
)
